JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const response = await client.connections.listForAgent('agent_abc123');
console.log(response.connections);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
response = client.connections.list_for_agent(
"agent_abc123",
)
print(response.connections)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Connections.ListForAgent(context.TODO(), "agent_abc123")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Connections)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
response = cerca.connections.list_for_agent("agent_abc123")
puts(response)cerca connections list-for-agent \
--api-key 'My API Key' \
--agent-id agent_abc123curl --request GET \
--url https://api.cerca.dev/agents/{agentId}/connections \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents/{agentId}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.cerca.dev/agents/{agentId}/connections")
.header("Authorization", "Bearer <token>")
.asString();{
"connections": [
{
"accountLabel": "<string>",
"createdAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"type": "organization"
},
"scopes": [
"<string>"
],
"updatedAt": "<string>",
"attachedAt": "<string>",
"metadata": {}
}
],
"cursor": "<string>",
"hasMore": true
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Connections
List connections
GET
/
agents
/
{agentId}
/
connections
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const response = await client.connections.listForAgent('agent_abc123');
console.log(response.connections);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
response = client.connections.list_for_agent(
"agent_abc123",
)
print(response.connections)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Connections.ListForAgent(context.TODO(), "agent_abc123")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Connections)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
response = cerca.connections.list_for_agent("agent_abc123")
puts(response)cerca connections list-for-agent \
--api-key 'My API Key' \
--agent-id agent_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"agent_abc123"
⌘I